import dynamix_sdk.base as _base


class CloudbrokerVinsUpdateResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerVinsUpdateProtocol(_base.BasePostAPIFunctionProtocol):
    def update(
        self,
        *,
        vins_id: int,
        name: str | None = None,
        description: str | None = None,
        security_group_mode: bool | None = None,
    ) -> CloudbrokerVinsUpdateResultBool:
        ...
